%  Program: progSA5c2.m
%  Description: Evaluates the gradient of objective function
%     f(x) = 0.6*x2^4 + 5*x1^2 - 7*x2^2 + sin(x1*x2) - 5*x2
%  for Prob.SA5.
%  Input:
%     x: a point 
%  Output:
%     z: gradient of function f(x) at point x.
%  To Run: Execute the commands:
%     x = [x1 x2]' % e.g., x=[1 2]'
%     g = progSA5c2(x)
%  =============================================================
function g = progSA5c2(x)
x1 = x(1);
x2 = x(2);
z1 = 10*x1 + x2*cos(x1*x2);
z2 = 2.4*x2^3 -14*x2 - x1*cos(x1*x2) - 5;
g = [z1 z2]';