% Program: progSA8c1.m
% Description: Evaluates the gradient of f(x)  
% for Prob. SA.8c.
% To Run: Execute the commands:
%    x = [x1 x2 x3 x4]' % e.g., x = [1 2 3 4]'
%    g = progSA8c1(x)
%============================================
function g = progSA8c1(x)
x1 = x(1);
x2 = x(2);
x3 = x(3);
x4 = x(4);
f1 = (x1 - 4*x2)^2;
f2 = sqrt(12)*(x3 - x4)^2;
f3 = sqrt(3)*(x2 - 10*x3);
f4 = sqrt(55)*(x1 - 2*x4);
f = [f1 f2 f3 f4]';
J = progSA8c2(x);
g = 2*J'*f;