%  Program: progSA5b.m
%  Description: Generates a contour plot for function
%      f(x) = 0.6*x2^4 + 5*x1^2 - 7*x2^2 + sin(x1*x2) - 5*x2
%  over the range -pi <= x1, x2 <= pi.
%  To Run: Execute the command progSA5b. The program will display
%  a plot showing a family of contours. When you click anywhere in the
%  graphics window, a crosshair will be displayed which can be used to 
%  apply labeling. Apply labels by clicking at the desired locations
%  on the contours that should be labeled. To terminate the labeling  
%  process, press the Enter key.
%  ===================================================================
disp(' ')
disp('Program progSA5b.m')
cs = contour(x1,x2,f,45);
xlabel('\itx_1','FontName','Times','FontSize',13)
ylabel('\itx_2','FontName','Times','FontSize',13)
clabel(cs,'manual')
axis equal
hold
clear cs