%  Program: progSA5c1.m
%  Description: Evaluates function
%      f(x) = 0.6*x2^4 + 5*x1^2 - 7*x2^2 + sin(x1*x2) - 5*x2
%  for Prob.SA5.
%  Input:
%     x: a point as a 2-component column vector
%  Output:
%     z: value of function f(x) at point x.
%  To Run: Execute the commands:
%     x = [x1 x2]' % e.g., x=[1 2]'
%     f = progSA5c1(x)
%  =====================================================
function f = progSA5c1(x)
x1 = x(1);
x2 = x(2);
f = 0.6*x2^4 + 5*x1^2 - 7*x2^2 + sin(x1*x2) - 5*x2;