%  Program: progSA8b1.m
%  Description: Evaluates objective function
%   f(x) = (x1-4*x2)^4 + 12*(x3-x4)^4 + 3*(x2-10*x3)^2 + 55*(x1-2*x4)^2
%  for Prob.SA.8.
%  Input:
%     x: a 4-component point as a column vector
%  Output:
%     f: value of f(x) at point x.
%  To Run: Execute the commands:
%    x = [x1 x2 x3 x4]' % e.g., x=[1 2 3 4]'
%    f = progSA8b1(x)
%  =====================================================================
function f = progSA8b1(x)
x1 = x(1);
x2 = x(2);
x3 = x(3);
x4 = x(4);
f = (x1-4*x2)^4 + 12*(x3-x4)^4 + 3*(x2-10*x3)^2 + 55*(x1-2*x4)^2;